<form>
    <div fxLayout="row" >   
      <div fxFlex fxLayout>
        <mat-form-field>
          <input matInput placeholder="Product Id" required type="text">
        </mat-form-field>
      </div>
      <div fxFlex fxLayout>
        <mat-form-field>
          <input matInput placeholder="Product Name" required type="text">
        </mat-form-field>
      </div>
      <div fxFlex fxLayout>
        <mat-form-field>
          <input matInput placeholder="Quantity" required type="text">
        </mat-form-field>
      </div>
      <div fxFlex fxLayout>
        <mat-form-field>
          <input matInput placeholder="Price" required type="text">
        </mat-form-field>
      </div>
    </div>
  
    
  
        
    <div fxLayout="row"  fxLayoutGap="10px" fxLayoutAlign ="end center" class="buttonController">  
        <button mat-raised-button   type="buton" (click)="onNoClick()">Cancel</button>  
        <button mat-raised-button color="primary" type="buton">Add</button> 
       
    </div>
  </form>
